﻿<template>
  <div class="input-field-block">
    <label>
      <textarea
        v-model="dataText"
        @change="onChanged"
        class="input-field-area default-small-text"
        :placeholder="this.placeholder"
      ></textarea>
    </label>
  </div>
</template>

<script>
export default {
  name: "login-field",
  props: {
    placeholder: String
  },
  data() {
    return {
      dataText: ""
    };
  },
  methods: {
    onChanged() {
      this.$emit("update-text", { text: this.dataText });
    }
  }
};
</script>

<style lang="sass">
@import "../../scss/colors"
@import "../../scss/variables.sass"

.input-field-area::placeholder
  color: $gray

.input-field-area
  position: relative
  padding:
    left: 29px
    right: 29px
    top: 20px
    bottom: 20px

  color: $dark
  background: white
  box-shadow: $baseShadow
  border-radius: 10px
  height: 117px
  min-height: 117px
  max-height: 300px
  width: 325px
</style>
